Send a test event to webhook
import requests
url = "https://api.paywise.de/v1/webhooks/{id}/test/"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.paywise.de/v1/webhooks/{id}/test/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v1/webhooks/{id}/test/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/webhooks/{id}/test/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v1/webhooks/{id}/test/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'webhooks
Send a test event to webhook
Trigger a test event delivery to this webhook endpoint. Useful for testing your webhook handler.
POST
/
v1
/
webhooks
/
{id}
/
test
/
Send a test event to webhook
import requests
url = "https://api.paywise.de/v1/webhooks/{id}/test/"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.paywise.de/v1/webhooks/{id}/test/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v1/webhooks/{id}/test/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/webhooks/{id}/test/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v1/webhooks/{id}/test/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'Authorizations
tokenAuthtokenAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Serializer for triggering a test webhook event.
Type of test event to send (public events only)
mandate.created- Mandate Createdmandate.updated- Mandate Updatedmandate.status_updated- Mandate Status Updatedmandate.closed- Mandate Closedmandate.balance_updated- Mandate Balance Updatedmandate.message_created- Mandate Message Createdclaim.created- Claim Createdclaim.updated- Claim Updatedpayment.created- Payment Reportedpayment.updated- Payment Updatedstatement.created- Statement Createdstatement.updated- Statement Updatedsingle_mandate_statement.created- Single-Mandate Statement Createdsingle_mandate_statement.updated- Single-Mandate Statement Updatedrequest_to_client.created- Request to Client Createdrequest_to_client.answered- Request to Client Answered
Available options:
mandate.created, mandate.updated, mandate.status_updated, mandate.closed, mandate.balance_updated, mandate.message_created, claim.created, claim.updated, payment.created, payment.updated, statement.created, statement.updated, single_mandate_statement.created, single_mandate_statement.updated, request_to_client.created, request_to_client.answered Response
Test event queued for delivery
